summaryrefslogtreecommitdiff
path: root/ruby.sh
diff options
context:
space:
mode:
authorAndreas Maunz <andreas@maunz.de>2011-03-30 16:28:17 +0200
committerAndreas Maunz <andreas@maunz.de>2011-03-30 16:28:17 +0200
commit2e04bf823ee2b9b7a6017eba4b0736fee90f0f45 (patch)
treed6d3104f97055f3e48f67e3ecdfa8a4240584f21 /ruby.sh
parent9beb2014b745b2c5fcf76d37bfeabc59f89f154d (diff)
ruby.sh
Diffstat (limited to 'ruby.sh')
-rwxr-xr-xruby.sh13
1 files changed, 7 insertions, 6 deletions
diff --git a/ruby.sh b/ruby.sh
index bbe62c7..202a22c 100755
--- a/ruby.sh
+++ b/ruby.sh
@@ -17,12 +17,6 @@ if [ ! -e "$WGET" ]; then
exit 1
fi
-GEM="`which gem`"
-if [ ! -e "$GEM" ]; then
- echo "'gem' missing. Install 'gem' first. Aborting..."
- exit 1
-fi
-
# Pkg
source ./config.sh
if [ -n "$1" ]; then
@@ -74,6 +68,13 @@ echo "This will modify your '~/.gemrc'."
echo "Press <Return> to continue, or <Ctrl+C> to abort."
echo -n "Enter 's' to skip this step: "
read PASSENGER_SKIP
+
+GEM="`which gem`"
+if [ ! -e "$GEM" ]; then
+ echo "'gem' missing. Install 'gem' first. Aborting..."
+ exit 1
+fi
+
if [ "$PASSENGER_SKIP" != "s" ]; then
export PATH="$RUBY_DEST/bin:$PATH"
if ! $GEM sources -a "http://gemcutter.org " >>$LOG 2>&1 ; then